View Issue Details

IDProjectCategoryView StatusLast Update
0006236Talerexchange API (C)public2021-09-02 18:23
ReporterChristian Grothoff Assigned ToChristian Grothoff  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006236: exchange deposit testing command should expose deposit fee
DescriptionThis is helpful/needed for properly testing POST /transfers in the merchant.
Suggestion: use index 0 for the deposit amount, and index 1 for the fee. The deposit amount is already exposed.

Complication: the fee will need to be obtained via the coin's withdraw command, the current deposit command does not really know it.
TagsNo tags attached.

Activities

Christian Grothoff

2020-06-27 18:36

manager   ~0016372

b3411dc6..d0d71dab implements this in the exchange.
cde317f..4b820e2 makes use of it in the merchant.

Christian Grothoff

2021-09-02 18:14

manager   ~0018252

Fix committed to master branch.

Christian Grothoff

2021-09-02 18:23

manager   ~0018379

Fix committed to master branch.

Related Changesets

exchange: master c88af6df

2020-06-27 18:30:25

Christian Grothoff

Details Diff
fix 0006236 Affected Issues
0006236
mod - src/include/taler_testing_lib.h Diff File
mod - src/testing/testing_api_cmd_deposit.c Diff File

exchange: master d0d71dab

2020-06-27 18:30:25

Christian Grothoff

Details Diff
fix 0006236 Affected Issues
0006236
mod - src/include/taler_testing_lib.h Diff File
mod - src/testing/testing_api_cmd_deposit.c Diff File

merchant: master 4b820e27

2020-06-27 18:31:02

Christian Grothoff

Details Diff
fix 0006236 Affected Issues
0006236
mod - src/testing/testing_api_cmd_post_transfers.c Diff File

Issue History

Date Modified Username Field Change
2020-05-13 17:59 Christian Grothoff New Issue
2020-05-13 17:59 Christian Grothoff Status new => assigned
2020-05-13 17:59 Christian Grothoff Assigned To => Christian Grothoff
2020-06-27 18:36 Christian Grothoff Note Added: 0016372
2020-06-27 18:37 Christian Grothoff Fixed in Version => 0.8
2020-06-27 18:37 Christian Grothoff Target Version 0.9 => 0.8
2020-06-27 18:37 Christian Grothoff Status assigned => resolved
2020-06-27 18:37 Christian Grothoff Resolution open => fixed
2021-08-24 16:23 Christian Grothoff Status resolved => closed
2021-09-02 18:13 Christian Grothoff Changeset attached => Taler-exchange master c88af6df
2021-09-02 18:13 Christian Grothoff Changeset attached => Taler-exchange master d0d71dab
2021-09-02 18:14 Christian Grothoff Note Added: 0018252
2021-09-02 18:22 Christian Grothoff Changeset attached => Taler-merchant master 4b820e27
2021-09-02 18:23 Christian Grothoff Note Added: 0018379